Package tigase.server.amp

# Interface AmpFeatureIfc

All Known Subinterfaces:
  `ActionIfc`, `ConditionIfc`

All Known Implementing Classes:
  `ActionAbstract`, `Alert`, `Broadcast`, `Deliver`, `Deliver`, `Drop`, `Error`, `ExpireAt`, `MatchResource`, `Notify`, `Store`

public interface AmpFeatureIfc
Created: Apr 28, 2010 5:38:24 PM

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTION_ATT`
  `static final String`
  `AMP_MSG_REPO_CLASS_PARAM`
  `static final String`
  `AMP_MSG_REPO_CLASS_PROP_KEY`
  `static final String`
  `AMP_MSG_REPO_URI_PARAM`
  `static final String`
  `AMP_MSG_REPO_URI_PROP_KEY`
  `static final String`
  `AMP_XMLNS`
  `static final String`
  `CONDITION_ATT`
  `static final String`
  `EXPIRED`
  `static final String`
  `FROM_CONN_ID`
  `static final String`
  `MSG_OFFLINE_PROP_KEY`
  `static final String`
  `OFFLINE`
  `static final String`
  `SESSION_JID`
  `static final String`
  `TO_CONN_ID`
  `static final String`
  `TO_RES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`

- ## Field Details

  - ### AMP_MSG_REPO_CLASS_PROP_KEY

    static final String AMP_MSG_REPO_CLASS_PROP_KEY
    See Also:
      - Constant Field Values

  - ### AMP_MSG_REPO_CLASS_PARAM

    static final String AMP_MSG_REPO_CLASS_PARAM
    See Also:
      - Constant Field Values

  - ### AMP_MSG_REPO_URI_PARAM

    static final String AMP_MSG_REPO_URI_PARAM
    See Also:
      - Constant Field Values

  - ### AMP_MSG_REPO_URI_PROP_KEY

    static final String AMP_MSG_REPO_URI_PROP_KEY
    See Also:
      - Constant Field Values

  - ### AMP_XMLNS

    static final String AMP_XMLNS
    See Also:
      - Constant Field Values

  - ### FROM_CONN_ID

    static final String FROM_CONN_ID
    See Also:
      - Constant Field Values

  - ### SESSION_JID

    static final String SESSION_JID
    See Also:
      - Constant Field Values

  - ### TO_CONN_ID

    static final String TO_CONN_ID
    See Also:
      - Constant Field Values

  - ### TO_RES

    static final String TO_RES
    See Also:
      - Constant Field Values

  - ### EXPIRED

    static final String EXPIRED
    See Also:
      - Constant Field Values

  - ### OFFLINE

    static final String OFFLINE
    See Also:
      - Constant Field Values

  - ### MSG_OFFLINE_PROP_KEY

    static final String MSG_OFFLINE_PROP_KEY
    See Also:
      - Constant Field Values

  - ### CONDITION_ATT

    static final String CONDITION_ATT
    See Also:
      - Constant Field Values

  - ### ACTION_ATT

    static final String ACTION_ATT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getName

    String getName()